Actualizar usuario
curl --request PATCH \
--url https://api.devin.ai/v3/enterprise/members/users/{user_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"role_id": "<string>"
}
'import requests
url = "https://api.devin.ai/v3/enterprise/members/users/{user_id}"
payload = { "role_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({role_id: '<string>'})
};
fetch('https://api.devin.ai/v3/enterprise/members/users/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email": "<string>",
"name": "<string>",
"role_assignments": [
{
"role": {
"role_id": "<string>",
"role_name": "<string>"
},
"org_id": "<string>"
}
],
"user_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Usuarios y membresía (Enterprise)
Actualizar usuario
PATCH
/
v3
/
enterprise
/
members
/
users
/
{user_id}
Actualizar usuario
Este endpoint solo se aplica a usuarios con asignaciones de roles directas. Para gestionar los roles heredados a través de la pertenencia a grupos del IDP, use los endpoints de gestión de roles de grupos del IDP.
Requiere un usuario de servicio con el permiso
Permisos
ManageAccountMembership en el nivel Enterprise.Autorizaciones
Credencial de usuario de servicio (prefijo: cog_)
Parámetros de ruta
ID de usuario
Cuerpo
application/json
⌘I

